Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.util
Class Activator

    java.lang.Object
      org.apache.logging.log4j.util.Activator

All Implemented Interfaces:
  EventListener, org.osgi.framework.BundleActivator, org.osgi.framework.BundleListener, org.osgi.framework.SynchronousBundleListener

    public class Activator

extends Object
implements org.osgi.framework.BundleActivator, org.osgi.framework.SynchronousBundleListener

OSGi bundle activator. Used for locating an implementation of `LoggerContextFactory` et al. that have corresponding `META-INF/log4j-provider.properties` files. As with all OSGi BundleActivator classes, this class is not for public use and is only useful in an OSGi framework environment.

Constructor Summary
`Activator()`

Method Summary
`void` | `bundleChanged(org.osgi.framework.BundleEvent event)`
`void` | `start(org.osgi.framework.BundleContext context)`
`void` | `stop(org.osgi.framework.BundleContext context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Activator

    public Activator()

Method Detail

### start

    public void start(org.osgi.framework.BundleContext context)
               throws Exception

  Specified by:
    `start` in interface `org.osgi.framework.BundleActivator`
  Throws:
    `Exception`

### stop

    public void stop(org.osgi.framework.BundleContext context)
              throws Exception

  Specified by:
    `stop` in interface `org.osgi.framework.BundleActivator`
  Throws:
    `Exception`

### bundleChanged

    public void bundleChanged(org.osgi.framework.BundleEvent event)

  Specified by:
    `bundleChanged` in interface `org.osgi.framework.BundleListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.